Subject: [dhcwg] draft-ietf-dhc-rfc3315bis-05 WGLC Issue - Simplify Reconfigure

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 8 Sep 2016 02:10:34 +0000

Hi:

During the WGLC of draft-ietf-dhc-rfc3315bis-05, I raised an issue about Reconfigure in https://www.ietf.org/mail-archive/web/dhcwg/current/msg17530.html:

I'm not sure that the text in section 17.2.11 and 17.1.4 are fully aligned for Reconfigures. 17.2.11's text is a bit unclear in that it says "The server MAY include an ORO" (and then says if it includes IA options in the ORO, it must include the IA options themselves); section 17.1.4 assumes that this is always the case. I'm not sure if a "plain" Reconfigure without any ORO is valid from this as 17.1.4's text doesn't work well then? So, I think we need to clarify this a bit more. (The server I work on just sends a Reconfigure without ORO since we don't provide an administrator any way to say what the client should reconfigure and while I think this was intended to be acceptable behavior, but 17.1.4 needs a tweak to make it work?)

In discussing this today, several of the co-authors felt that simplifying the Reconfigure message from the server to NOT have an ORO nor any potential IA_* options as allowed in 17.2.11 (also in 19.1.1 of RFC 3315). Therefore, we propose to REMOVE the following text from 17.2.11 and also adjust 17.1.4 (and elsewhere if needed) to remove any text related to the Reconfigure's ORO/IA options.

   The server MAY include an Option Request option to inform the client
   of what information has been changed or new information that has been
   added.  In particular, the server specifies the IA option in the
   Option Request option if the server wants the client to obtain new
   address information.  If the server identifies the IA option in the
   Option Request option, the server MUST include an IA option to
   identify each IA that is to be reconfigured on the client.  The IA
   options included by the server MUST NOT contain any options.

However, as this is a change to the existing Reconfigure handling, we want to make sure no one in the WG has an objection to this change.

Therefore, please comment within the next week as to whether you either agree or disagree with this change. If you disagree, please let us know why.

This is now Ticket 168 - https://trac.tools.ietf.org/group/dhcpv6bis/ticket/168.

Thank you!

- Bernie (for the 3315bis coauthors)

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 21 Sep 2016 18:23:17 +0000

Hi:

As no one commented on this issue, we assume that the WG accepts the proposed change to simplify Reconfigure and we will update the document accordingly.

If you missed this earlier and now have concerns, please speak up quickly.

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, September 07, 2016 10:11 PM
To: [email-masked]
Subject: [dhcwg] draft-ietf-dhc-rfc3315bis-05 WGLC Issue - Simplify Reconfigure

Hi:

Thank you!